Liferay.Loader.define('segments-web$date-fns@1.30.1/add_hours/index', ['module', 'exports', 'require', '../add_milliseconds/index'], function (module, exports, require) {
  var define = undefined;
  var addMilliseconds = require('../add_milliseconds/index');

  var MILLISECONDS_IN_HOUR = 3600000;

  /**
   * @category Hour Helpers
   * @summary Add the specified number of hours to the given date.
   *
   * @description
   * Add the specified number of hours to the given date.
   *
   * @param {Date|String|Number} date - the date to be changed
   * @param {Number} amount - the amount of hours to be added
   * @returns {Date} the new date with the hours added
   *
   * @example
   * // Add 2 hours to 10 July 2014 23:00:00:
   * var result = addHours(new Date(2014, 6, 10, 23, 0), 2)
   * //=> Fri Jul 11 2014 01:00:00
   */
  function addHours(dirtyDate, dirtyAmount) {
    var amount = Number(dirtyAmount);
    return addMilliseconds(dirtyDate, amount * MILLISECONDS_IN_HOUR);
  }

  module.exports = addHours;
});
//# sourceMappingURL=index.js.map