Liferay.Loader.define('segments-web$date-fns@1.30.1/add_weeks/index', ['module', 'exports', 'require', '../add_days/index'], function (module, exports, require) {
  var define = undefined;
  var addDays = require('../add_days/index');

  /**
   * @category Week Helpers
   * @summary Add the specified number of weeks to the given date.
   *
   * @description
   * Add the specified number of week to the given date.
   *
   * @param {Date|String|Number} date - the date to be changed
   * @param {Number} amount - the amount of weeks to be added
   * @returns {Date} the new date with the weeks added
   *
   * @example
   * // Add 4 weeks to 1 September 2014:
   * var result = addWeeks(new Date(2014, 8, 1), 4)
   * //=> Mon Sep 29 2014 00:00:00
   */
  function addWeeks(dirtyDate, dirtyAmount) {
    var amount = Number(dirtyAmount);

    return addDays(dirtyDate, amount * 7);
  }

  module.exports = addWeeks;
});
//# sourceMappingURL=index.js.map