Liferay.Loader.define('segments-web$date-fns@1.30.1/difference_in_quarters/index', ['module', 'exports', 'require', '../difference_in_months/index'], function (module, exports, require) {
  var define = undefined;
  var differenceInMonths = require('../difference_in_months/index');

  /**
   * @category Quarter Helpers
   * @summary Get the number of full quarters between the given dates.
   *
   * @description
   * Get the number of full quarters between the given dates.
   *
   * @param {Date|String|Number} dateLeft - the later date
   * @param {Date|String|Number} dateRight - the earlier date
   * @returns {Number} the number of full quarters
   *
   * @example
   * // How many full quarters are between 31 December 2013 and 2 July 2014?
   * var result = differenceInQuarters(
   *   new Date(2014, 6, 2),
   *   new Date(2013, 11, 31)
   * )
   * //=> 2
   */
  function differenceInQuarters(dirtyDateLeft, dirtyDateRight) {
    var diff = differenceInMonths(dirtyDateLeft, dirtyDateRight) / 3;
    return diff > 0 ? Math.floor(diff) : Math.ceil(diff);
  }

  module.exports = differenceInQuarters;
});
//# sourceMappingURL=index.js.map