Liferay.Loader.define('segments-web$date-fns@1.30.1/end_of_iso_week/index', ['module', 'exports', 'require', '../end_of_week/index'], function (module, exports, require) {
  var define = undefined;
  var endOfWeek = require('../end_of_week/index');

  /**
   * @category ISO Week Helpers
   * @summary Return the end of an ISO week for the given date.
   *
   * @description
   * Return the end of an ISO week for the given date.
   * The result will be in the local timezone.
   *
   * ISO week-numbering year: http://en.wikipedia.org/wiki/ISO_week_date
   *
   * @param {Date|String|Number} date - the original date
   * @returns {Date} the end of an ISO week
   *
   * @example
   * // The end of an ISO week for 2 September 2014 11:55:00:
   * var result = endOfISOWeek(new Date(2014, 8, 2, 11, 55, 0))
   * //=> Sun Sep 07 2014 23:59:59.999
   */
  function endOfISOWeek(dirtyDate) {
    return endOfWeek(dirtyDate, { weekStartsOn: 1 });
  }

  module.exports = endOfISOWeek;
});
//# sourceMappingURL=index.js.map