Liferay.Loader.define('segments-web$date-fns@1.30.1/get_iso_day/index', ['module', 'exports', 'require', '../parse/index'], function (module, exports, require) {
  var define = undefined;
  var parse = require('../parse/index');

  /**
   * @category Weekday Helpers
   * @summary Get the day of the ISO week of the given date.
   *
   * @description
   * Get the day of the ISO week of the given date,
   * which is 7 for Sunday, 1 for Monday etc.
   *
   * ISO week-numbering year: http://en.wikipedia.org/wiki/ISO_week_date
   *
   * @param {Date|String|Number} date - the given date
   * @returns {Number} the day of ISO week
   *
   * @example
   * // Which day of the ISO week is 26 February 2012?
   * var result = getISODay(new Date(2012, 1, 26))
   * //=> 7
   */
  function getISODay(dirtyDate) {
    var date = parse(dirtyDate);
    var day = date.getDay();

    if (day === 0) {
      day = 7;
    }

    return day;
  }

  module.exports = getISODay;
});
//# sourceMappingURL=index.js.map