Liferay.Loader.define('segments-web$date-fns@1.30.1/is_same_hour/index', ['module', 'exports', 'require', '../start_of_hour/index'], function (module, exports, require) {
  var define = undefined;
  var startOfHour = require('../start_of_hour/index');

  /**
   * @category Hour Helpers
   * @summary Are the given dates in the same hour?
   *
   * @description
   * Are the given dates in the same hour?
   *
   * @param {Date|String|Number} dateLeft - the first date to check
   * @param {Date|String|Number} dateRight - the second date to check
   * @returns {Boolean} the dates are in the same hour
   *
   * @example
   * // Are 4 September 2014 06:00:00 and 4 September 06:30:00 in the same hour?
   * var result = isSameHour(
   *   new Date(2014, 8, 4, 6, 0),
   *   new Date(2014, 8, 4, 6, 30)
   * )
   * //=> true
   */
  function isSameHour(dirtyDateLeft, dirtyDateRight) {
    var dateLeftStartOfHour = startOfHour(dirtyDateLeft);
    var dateRightStartOfHour = startOfHour(dirtyDateRight);

    return dateLeftStartOfHour.getTime() === dateRightStartOfHour.getTime();
  }

  module.exports = isSameHour;
});
//# sourceMappingURL=index.js.map