Liferay.Loader.define('segments-web$date-fns@1.30.1/sub_months/index', ['module', 'exports', 'require', '../add_months/index'], function (module, exports, require) {
  var define = undefined;
  var addMonths = require('../add_months/index');

  /**
   * @category Month Helpers
   * @summary Subtract the specified number of months from the given date.
   *
   * @description
   * Subtract the specified number of months from the given date.
   *
   * @param {Date|String|Number} date - the date to be changed
   * @param {Number} amount - the amount of months to be subtracted
   * @returns {Date} the new date with the months subtracted
   *
   * @example
   * // Subtract 5 months from 1 February 2015:
   * var result = subMonths(new Date(2015, 1, 1), 5)
   * //=> Mon Sep 01 2014 00:00:00
   */
  function subMonths(dirtyDate, dirtyAmount) {
    var amount = Number(dirtyAmount);
    return addMonths(dirtyDate, -amount);
  }

  module.exports = subMonths;
});
//# sourceMappingURL=index.js.map