Liferay.Loader.define('segments-web$lodash@4.17.21/_baseEvery', ['module', 'exports', 'require', './_baseEach'], function (module, exports, require) {
  var define = undefined;
  var baseEach = require('./_baseEach');

  /**
   * The base implementation of `_.every` without support for iteratee shorthands.
   *
   * @private
   * @param {Array|Object} collection The collection to iterate over.
   * @param {Function} predicate The function invoked per iteration.
   * @returns {boolean} Returns `true` if all elements pass the predicate check,
   *  else `false`
   */
  function baseEvery(collection, predicate) {
    var result = true;
    baseEach(collection, function (value, index, collection) {
      result = !!predicate(value, index, collection);
      return result;
    });
    return result;
  }

  module.exports = baseEvery;
});
//# sourceMappingURL=_baseEvery.js.map