Liferay.Loader.define('segments-web$lodash@4.17.21/_castPath', ['module', 'exports', 'require', './isArray', './_isKey', './_stringToPath', './toString'], function (module, exports, require) {
  var define = undefined;
  var isArray = require('./isArray'),
      isKey = require('./_isKey'),
      stringToPath = require('./_stringToPath'),
      toString = require('./toString');

  /**
   * Casts `value` to a path array if it's not one.
   *
   * @private
   * @param {*} value The value to inspect.
   * @param {Object} [object] The object to query keys on.
   * @returns {Array} Returns the cast property path array.
   */
  function castPath(value, object) {
    if (isArray(value)) {
      return value;
    }
    return isKey(value, object) ? [value] : stringToPath(toString(value));
  }

  module.exports = castPath;
});
//# sourceMappingURL=_castPath.js.map