Liferay.Loader.define('segments-web$lodash@4.17.21/_charsEndIndex', ['module', 'exports', 'require', './_baseIndexOf'], function (module, exports, require) {
  var define = undefined;
  var baseIndexOf = require('./_baseIndexOf');

  /**
   * Used by `_.trim` and `_.trimEnd` to get the index of the last string symbol
   * that is not found in the character symbols.
   *
   * @private
   * @param {Array} strSymbols The string symbols to inspect.
   * @param {Array} chrSymbols The character symbols to find.
   * @returns {number} Returns the index of the last unmatched string symbol.
   */
  function charsEndIndex(strSymbols, chrSymbols) {
    var index = strSymbols.length;

    while (index-- && baseIndexOf(chrSymbols, strSymbols[index], 0) > -1) {}
    return index;
  }

  module.exports = charsEndIndex;
});
//# sourceMappingURL=_charsEndIndex.js.map