Liferay.Loader.define('segments-web$lodash@4.17.21/_charsStartIndex', ['module', 'exports', 'require', './_baseIndexOf'], function (module, exports, require) {
  var define = undefined;
  var baseIndexOf = require('./_baseIndexOf');

  /**
   * Used by `_.trim` and `_.trimStart` to get the index of the first string symbol
   * that is not found in the character symbols.
   *
   * @private
   * @param {Array} strSymbols The string symbols to inspect.
   * @param {Array} chrSymbols The character symbols to find.
   * @returns {number} Returns the index of the first unmatched string symbol.
   */
  function charsStartIndex(strSymbols, chrSymbols) {
    var index = -1,
        length = strSymbols.length;

    while (++index < length && baseIndexOf(chrSymbols, strSymbols[index], 0) > -1) {}
    return index;
  }

  module.exports = charsStartIndex;
});
//# sourceMappingURL=_charsStartIndex.js.map