Liferay.Loader.define('segments-web$lodash@4.17.21/_getMatchData', ['module', 'exports', 'require', './_isStrictComparable', './keys'], function (module, exports, require) {
    var define = undefined;
    var isStrictComparable = require('./_isStrictComparable'),
        keys = require('./keys');

    /**
     * Gets the property names, values, and compare flags of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the match data of `object`.
     */
    function getMatchData(object) {
        var result = keys(object),
            length = result.length;

        while (length--) {
            var key = result[length],
                value = object[key];

            result[length] = [key, value, isStrictComparable(value)];
        }
        return result;
    }

    module.exports = getMatchData;
});
//# sourceMappingURL=_getMatchData.js.map