Liferay.Loader.define('segments-web$lodash@4.17.21/_mapCacheSet', ['module', 'exports', 'require', './_getMapData'], function (module, exports, require) {
  var define = undefined;
  var getMapData = require('./_getMapData');

  /**
   * Sets the map `key` to `value`.
   *
   * @private
   * @name set
   * @memberOf MapCache
   * @param {string} key The key of the value to set.
   * @param {*} value The value to set.
   * @returns {Object} Returns the map cache instance.
   */
  function mapCacheSet(key, value) {
    var data = getMapData(this, key),
        size = data.size;

    data.set(key, value);
    this.size += data.size == size ? 0 : 1;
    return this;
  }

  module.exports = mapCacheSet;
});
//# sourceMappingURL=_mapCacheSet.js.map