Liferay.Loader.define('segments-web$lodash@4.17.21/_setWrapToString', ['module', 'exports', 'require', './_getWrapDetails', './_insertWrapDetails', './_setToString', './_updateWrapDetails'], function (module, exports, require) {
  var define = undefined;
  var getWrapDetails = require('./_getWrapDetails'),
      insertWrapDetails = require('./_insertWrapDetails'),
      setToString = require('./_setToString'),
      updateWrapDetails = require('./_updateWrapDetails');

  /**
   * Sets the `toString` method of `wrapper` to mimic the source of `reference`
   * with wrapper details in a comment at the top of the source body.
   *
   * @private
   * @param {Function} wrapper The function to modify.
   * @param {Function} reference The reference function.
   * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
   * @returns {Function} Returns `wrapper`.
   */
  function setWrapToString(wrapper, reference, bitmask) {
    var source = reference + '';
    return setToString(wrapper, insertWrapDetails(source, updateWrapDetails(getWrapDetails(source), bitmask)));
  }

  module.exports = setWrapToString;
});
//# sourceMappingURL=_setWrapToString.js.map