Liferay.Loader.define('segments-web$lodash@4.17.21/at', ['module', 'exports', 'require', './_baseAt', './_flatRest'], function (module, exports, require) {
  var define = undefined;
  var baseAt = require('./_baseAt'),
      flatRest = require('./_flatRest');

  /**
   * Creates an array of values corresponding to `paths` of `object`.
   *
   * @static
   * @memberOf _
   * @since 1.0.0
   * @category Object
   * @param {Object} object The object to iterate over.
   * @param {...(string|string[])} [paths] The property paths to pick.
   * @returns {Array} Returns the picked values.
   * @example
   *
   * var object = { 'a': [{ 'b': { 'c': 3 } }, 4] };
   *
   * _.at(object, ['a[0].b.c', 'a[1]']);
   * // => [3, 4]
   */
  var at = flatRest(baseAt);

  module.exports = at;
});
//# sourceMappingURL=at.js.map