Liferay.Loader.define('segments-web$lodash@4.17.21/commit', ['module', 'exports', 'require', './_LodashWrapper'], function (module, exports, require) {
  var define = undefined;
  var LodashWrapper = require('./_LodashWrapper');

  /**
   * Executes the chain sequence and returns the wrapped result.
   *
   * @name commit
   * @memberOf _
   * @since 3.2.0
   * @category Seq
   * @returns {Object} Returns the new `lodash` wrapper instance.
   * @example
   *
   * var array = [1, 2];
   * var wrapped = _(array).push(3);
   *
   * console.log(array);
   * // => [1, 2]
   *
   * wrapped = wrapped.commit();
   * console.log(array);
   * // => [1, 2, 3]
   *
   * wrapped.last();
   * // => 3
   *
   * console.log(array);
   * // => [1, 2, 3]
   */
  function wrapperCommit() {
    return new LodashWrapper(this.value(), this.__chain__);
  }

  module.exports = wrapperCommit;
});
//# sourceMappingURL=commit.js.map