Liferay.Loader.define('segments-web$lodash@4.17.21/flatten', ['module', 'exports', 'require', './_baseFlatten'], function (module, exports, require) {
  var define = undefined;
  var baseFlatten = require('./_baseFlatten');

  /**
   * Flattens `array` a single level deep.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Array
   * @param {Array} array The array to flatten.
   * @returns {Array} Returns the new flattened array.
   * @example
   *
   * _.flatten([1, [2, [3, [4]], 5]]);
   * // => [1, 2, [3, [4]], 5]
   */
  function flatten(array) {
    var length = array == null ? 0 : array.length;
    return length ? baseFlatten(array, 1) : [];
  }

  module.exports = flatten;
});
//# sourceMappingURL=flatten.js.map