Liferay.Loader.define('segments-web$lodash@4.17.21/isElement', ['module', 'exports', 'require', './isObjectLike', './isPlainObject'], function (module, exports, require) {
  var define = undefined;
  var isObjectLike = require('./isObjectLike'),
      isPlainObject = require('./isPlainObject');

  /**
   * Checks if `value` is likely a DOM element.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a DOM element, else `false`.
   * @example
   *
   * _.isElement(document.body);
   * // => true
   *
   * _.isElement('<body>');
   * // => false
   */
  function isElement(value) {
    return isObjectLike(value) && value.nodeType === 1 && !isPlainObject(value);
  }

  module.exports = isElement;
});
//# sourceMappingURL=isElement.js.map