Liferay.Loader.define('segments-web$lodash@4.17.21/isMap', ['module', 'exports', 'require', './_baseIsMap', './_baseUnary', './_nodeUtil'], function (module, exports, require) {
  var define = undefined;
  var baseIsMap = require('./_baseIsMap'),
      baseUnary = require('./_baseUnary'),
      nodeUtil = require('./_nodeUtil');

  /* Node.js helper references. */
  var nodeIsMap = nodeUtil && nodeUtil.isMap;

  /**
   * Checks if `value` is classified as a `Map` object.
   *
   * @static
   * @memberOf _
   * @since 4.3.0
   * @category Lang
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is a map, else `false`.
   * @example
   *
   * _.isMap(new Map);
   * // => true
   *
   * _.isMap(new WeakMap);
   * // => false
   */
  var isMap = nodeIsMap ? baseUnary(nodeIsMap) : baseIsMap;

  module.exports = isMap;
});
//# sourceMappingURL=isMap.js.map