Liferay.Loader.define('segments-web$lodash@4.17.21/lt', ['module', 'exports', 'require', './_baseLt', './_createRelationalOperation'], function (module, exports, require) {
  var define = undefined;
  var baseLt = require('./_baseLt'),
      createRelationalOperation = require('./_createRelationalOperation');

  /**
   * Checks if `value` is less than `other`.
   *
   * @static
   * @memberOf _
   * @since 3.9.0
   * @category Lang
   * @param {*} value The value to compare.
   * @param {*} other The other value to compare.
   * @returns {boolean} Returns `true` if `value` is less than `other`,
   *  else `false`.
   * @see _.gt
   * @example
   *
   * _.lt(1, 3);
   * // => true
   *
   * _.lt(3, 3);
   * // => false
   *
   * _.lt(3, 1);
   * // => false
   */
  var lt = createRelationalOperation(baseLt);

  module.exports = lt;
});
//# sourceMappingURL=lt.js.map