Liferay.Loader.define('segments-web$lodash@4.17.21/lte', ['module', 'exports', 'require', './_createRelationalOperation'], function (module, exports, require) {
  var define = undefined;
  var createRelationalOperation = require('./_createRelationalOperation');

  /**
   * Checks if `value` is less than or equal to `other`.
   *
   * @static
   * @memberOf _
   * @since 3.9.0
   * @category Lang
   * @param {*} value The value to compare.
   * @param {*} other The other value to compare.
   * @returns {boolean} Returns `true` if `value` is less than or equal to
   *  `other`, else `false`.
   * @see _.gte
   * @example
   *
   * _.lte(1, 3);
   * // => true
   *
   * _.lte(3, 3);
   * // => true
   *
   * _.lte(3, 1);
   * // => false
   */
  var lte = createRelationalOperation(function (value, other) {
    return value <= other;
  });

  module.exports = lte;
});
//# sourceMappingURL=lte.js.map