Liferay.Loader.define('segments-web$lodash@4.17.21/reduceRight', ['module', 'exports', 'require', './_arrayReduceRight', './_baseEachRight', './_baseIteratee', './_baseReduce', './isArray'], function (module, exports, require) {
    var define = undefined;
    var arrayReduceRight = require('./_arrayReduceRight'),
        baseEachRight = require('./_baseEachRight'),
        baseIteratee = require('./_baseIteratee'),
        baseReduce = require('./_baseReduce'),
        isArray = require('./isArray');

    /**
     * This method is like `_.reduce` except that it iterates over elements of
     * `collection` from right to left.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @param {*} [accumulator] The initial value.
     * @returns {*} Returns the accumulated value.
     * @see _.reduce
     * @example
     *
     * var array = [[0, 1], [2, 3], [4, 5]];
     *
     * _.reduceRight(array, function(flattened, other) {
     *   return flattened.concat(other);
     * }, []);
     * // => [4, 5, 2, 3, 0, 1]
     */
    function reduceRight(collection, iteratee, accumulator) {
        var func = isArray(collection) ? arrayReduceRight : baseReduce,
            initAccum = arguments.length < 3;

        return func(collection, baseIteratee(iteratee, 4), accumulator, initAccum, baseEachRight);
    }

    module.exports = reduceRight;
});
//# sourceMappingURL=reduceRight.js.map