Liferay.Loader.define('segments-web$lodash@4.17.21/unary', ['module', 'exports', 'require', './ary'], function (module, exports, require) {
  var define = undefined;
  var ary = require('./ary');

  /**
   * Creates a function that accepts up to one argument, ignoring any
   * additional arguments.
   *
   * @static
   * @memberOf _
   * @since 4.0.0
   * @category Function
   * @param {Function} func The function to cap arguments for.
   * @returns {Function} Returns the new capped function.
   * @example
   *
   * _.map(['6', '8', '10'], _.unary(parseInt));
   * // => [6, 8, 10]
   */
  function unary(func) {
    return ary(func, 1);
  }

  module.exports = unary;
});
//# sourceMappingURL=unary.js.map