Liferay.Loader.define('segments-web$lodash@4.17.21/union', ['module', 'exports', 'require', './_baseFlatten', './_baseRest', './_baseUniq', './isArrayLikeObject'], function (module, exports, require) {
  var define = undefined;
  var baseFlatten = require('./_baseFlatten'),
      baseRest = require('./_baseRest'),
      baseUniq = require('./_baseUniq'),
      isArrayLikeObject = require('./isArrayLikeObject');

  /**
   * Creates an array of unique values, in order, from all given arrays using
   * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
   * for equality comparisons.
   *
   * @static
   * @memberOf _
   * @since 0.1.0
   * @category Array
   * @param {...Array} [arrays] The arrays to inspect.
   * @returns {Array} Returns the new array of combined values.
   * @example
   *
   * _.union([2], [1, 2]);
   * // => [2, 1]
   */
  var union = baseRest(function (arrays) {
    return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true));
  });

  module.exports = union;
});
//# sourceMappingURL=union.js.map