Liferay.Loader.define('segments-web$lodash@4.17.21/zipObject', ['module', 'exports', 'require', './_assignValue', './_baseZipObject'], function (module, exports, require) {
  var define = undefined;
  var assignValue = require('./_assignValue'),
      baseZipObject = require('./_baseZipObject');

  /**
   * This method is like `_.fromPairs` except that it accepts two arrays,
   * one of property identifiers and one of corresponding values.
   *
   * @static
   * @memberOf _
   * @since 0.4.0
   * @category Array
   * @param {Array} [props=[]] The property identifiers.
   * @param {Array} [values=[]] The property values.
   * @returns {Object} Returns the new object.
   * @example
   *
   * _.zipObject(['a', 'b'], [1, 2]);
   * // => { 'a': 1, 'b': 2 }
   */
  function zipObject(props, values) {
    return baseZipObject(props || [], values || [], assignValue);
  }

  module.exports = zipObject;
});
//# sourceMappingURL=zipObject.js.map